Subject: Re: Linking with Tcl/Tk libraries
From: [email-masked] (Sean McNeil)

13 Dec 1996 14:38:04 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]> (message from
	David Essex on Fri, 13 Dec 1996 05: 09:42 -0500)
Original-Sender: [email-masked]

> The problem is due (I think) to incompatablity between gnu-win32 and win32
> DLLs. 
> Apparently win32 DLLs compiled with say MS C/C++ will not work if they are
> called 
> by an application written using say Borland C/C++, and visa versa. 

This cannot be completely true.  gnu-win32 uses all kinds of DLLs that
were compiled with MS C/C++ - like kernel32.dll...

I think, perhaps, it's just a matter of chosing the correct calling convention
for your DLL routines.  For instance, I bet many languages like VB or DELPHI
would use the sdtcall convention.  If everyone is using the same calling
convention, then everything should work just fine.  Unless, of course, the
DLL isn't well behaved (like not re-entrant).  Again, I want to stress
that gcc uses several system dlls so it must be do-able.  It just needs to
be better explained/documented as to how.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".